Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## be.fgov.ehealth.standards.kmehr.mycarenet.id.v1
Enum IDKMEHRschemes

    java.lang.Object
      java.lang.Enum<IDKMEHRschemes>
          be.fgov.ehealth.standards.kmehr.mycarenet.id.v1.IDKMEHRschemes

All Implemented Interfaces:
  Serializable, Comparable<IDKMEHRschemes>

    public enum IDKMEHRschemes

extends Enum<IDKMEHRschemes>

Java class for ID-KMEHRschemes.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="ID-KMEHRschemes">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="ID-KMEHR"/>
         <enumeration value="ID-IBAN"/>
         <enumeration value="ID-SERIALNO"/>
         <enumeration value="LOCAL"/>
         <enumeration value="ID-CBE"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`ID_CBE`
`ID_IBAN`
`ID_KMEHR`
`ID_SERIALNO`
`LOCAL`

Method Summary
`static IDKMEHRschemes` | `fromValue(String v)`
`String` | `value()`
`static IDKMEHRschemes` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static IDKMEHRschemes[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ID_KMEHR

    public static final IDKMEHRschemes ID_KMEHR

### ID_IBAN

    public static final IDKMEHRschemes ID_IBAN

### ID_SERIALNO

    public static final IDKMEHRschemes ID_SERIALNO

### LOCAL

    public static final IDKMEHRschemes LOCAL

### ID_CBE

    public static final IDKMEHRschemes ID_CBE

Method Detail

### values

    public static IDKMEHRschemes[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (IDKMEHRschemes c : IDKMEHRschemes.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static IDKMEHRschemes valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### value

    public String value()

### fromValue

    public static IDKMEHRschemes fromValue(String v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Connector Packaging PERSPHYSICIAN 3.18.0 API
Copyright © {inceptionYear}-2019 eHealth. All Rights Reserved.